=== debian/changelog ===
ros-melodic-realsense2-camera (2.2.20-1stretch) stretch; urgency=high

  * Add Support - Noetic
  * Add demo for using intrinsics from camera_info (show_center_depth.py).
  * Add launch option: send logs to ros log file.
  * Add feature: get rgb stream from infrared sensor (applies to D415)
  * Add feature: Add notification if connected using USB2.1 port.
  * Fix bug: Avoid z16h format
  * Fix bug: monitor streams frequency without subsribing.
  * Fix bug: extrinsincs for right stereo camera refers to the left stereo camera.
  * Contributors: Abhijit Majumdar, Isaac I. Y. Saito, Jakub, M-frctrl, Thomas Jespersen, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 18 Nov 2020 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.18-1stretch) stretch; urgency=high

  * Fix bug: Remove parameter with invalid value.
  * Fix bug: Colorize the aligned depth image.
  * Fix bug: Added pointcloud attributes, when RS2_STREAM_ANY is enabled
  * Add feature: enable/disable all sensors. Known issues: parameters persistency and not full power drop.

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 25 Oct 2020 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.17-1stretch) stretch; urgency=high

  * Fix for ROS on Windows
  * Contributors: Lou Amadio, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 08 Sep 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.16-1stretch) stretch; urgency=high

  * Add PID to support D455.
  * Improve instability of dynamic reconfigurable options.
  * rs_camera.lauch: add "enable_infra" for L515 support.
  * Contributors: doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 05 Aug 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.15-1stretch) stretch; urgency=high

  * Check runtime version of librealsense2 vs. compiled version and issue a warning is mismatch occurs.
  * Support both L515 and L515 pre-prq versions.
  * set infra, fisheye, IMU and pose streams to be false by default.
  * add d435i-xacro
  * comply to ROS Noetic xacro rules (backcompatible with ROS Melodic)
  * Contributors: Marco Camurri, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 12 Jul 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.14-1stretch) stretch; urgency=high

  * Fix compatibility with Librealsense2 Version 2.35.2.
  * Fix support for L515.
  * Fix urdf issues.
  * Add noetic support: change state_publisher into robot_state_publisher
  * fix distortion correction model for T265 (equidistant)
  * fix stability issues. Stop sensors at program termination.
  * Contributors: Brice, Helen Oleynikova, doronhi
  * upgrade version to 2.2.13
  * fix ctrl-C closing issues.
  * handle device creation exceptions.
  * support LiDAR camera L515.
  * optimize pointcloud. Contributors: Davide Faconti
  * fix usb port id parsing issues.
  * Add eigen dependency - missing for Melodic. Contributors: Antoine Hoarau

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 17 Jun 2020 21:00:00 -0000
