## ros-melodic-realsense2-camera 2.3.2

=== debian/changelog ===
ros-melodic-realsense2-camera (2.3.2-1bionic) bionic; urgency=high

  * publish metadata
  * Add service: device_info
  * add wait_for_device_timeout parameter
  * Add reconnect_timeout parameter
  * show warning when requested profile cannot be selected.
  * send only 4 distortion coeffs when using equidistant
  * fixed missing std namespace
  * Removing spaces when iterating filters
  * Contributors: Collin Avidano, Gintaras, Jacco van der Spek, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 14 Nov 2021 22:00:00 -0000

ros-melodic-realsense2-camera (2.3.1-1bionic) bionic; urgency=high

  * add respawn option
  * add udev rules to debian installation
  * Add support for L535
  * Fix occasional missing diagnostic messages
  * Contributors: Alex Fernandes Neves, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 30 Jun 2021 21:00:00 -0000

ros-melodic-realsense2-camera (2.3.0-1bionic) bionic; urgency=high

  * Fix pointcloud message size when no texture is added.
  * Added filling correct Tx, Ty values in projection matrix of right camera.
  * Fixed frame_id of right sensor to match left sensor in a stereo pair.pair
  * Contributors: Pavlo Kolomiiets, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.24-1bionic) bionic; urgency=high

  * Enabling pointcloud while align_depth is set to true creates a pointcloud aligned to color image.
  * Removed option to align depth to other streams other then color.
  * Contributors: doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 20 Apr 2021 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.23-1bionic) bionic; urgency=high

  * Remove the following tests for known playback issue with librealsense2 version 2.43.0: points_cloud_1, align_depth_color_1, align_depth_ir1_1, align_depth_ir1_decimation_1.
  * Add filter: HDR_merge
  * add default values to infra stream in rs_camera.launch as non are defined in librealsense2.
  * fix bug: selection of profile disregarded stream index.
  * fix initialization of colorizer inner image
  * Contributors: doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 23 Mar 2021 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.22-1bionic) bionic; urgency=high

  * Add reset service.
  * fix timestamp domain issues
    - Add offset to ros_time only if device uses hardware-clock. Otherwise use device time - either system_time or global_time.
    - Warn of a hardware timestamp possible loop.
  * Choose the default profile in case of an invalid request.
  * Avoid aligning confidence image.
  * Add an option for an Ordered PointCloud.
  * Contributors: Isaac I.Y. Saito, Itamar Eliakim, Marc Alban, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 17 Feb 2021 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.21-1bionic) bionic; urgency=high

  * Publish depth confidence image for supporting devices (L515)
  * fix reading json file with device other than D400 series.
  * remove (temporarily) flaky IMU unit-test.
  * Contributors: Isaac I.Y. Saito, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 30 Dec 2020 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.20-1bionic) bionic; urgency=high

  * Add Support - Noetic
  * Add demo for using intrinsics from camera_info (show_center_depth.py).
  * Add launch option: send logs to ros log file.
  * Add feature: get rgb stream from infrared sensor (applies to D415)
  * Add feature: Add notification if connected using USB2.1 port.
  * Fix bug: Avoid z16h format
  * Fix bug: monitor streams frequency without subsribing.
  * Fix bug: extrinsincs for right stereo camera refers to the left stereo camera.
  * Contributors: Abhijit Majumdar, Isaac I. Y. Saito, Jakub, M-frctrl, Thomas Jespersen, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 18 Nov 2020 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.18-1bionic) bionic; urgency=high

  * Fix bug: Remove parameter with invalid value.
  * Fix bug: Colorize the aligned depth image.
  * Fix bug: Added pointcloud attributes, when RS2_STREAM_ANY is enabled
  * Add feature: enable/disable all sensors. Known issues: parameters persistency and not full power drop.

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 25 Oct 2020 22:00:00 -0000

ros-melodic-realsense2-camera (2.2.17-1bionic) bionic; urgency=high

  * Fix for ROS on Windows
  * Contributors: Lou Amadio, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 08 Sep 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.16-1bionic) bionic; urgency=high

  * Add PID to support D455.
  * Improve instability of dynamic reconfigurable options.
  * rs_camera.lauch: add "enable_infra" for L515 support.
  * Contributors: doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 05 Aug 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.15-1bionic) bionic; urgency=high

  * Check runtime version of librealsense2 vs. compiled version and issue a warning is mismatch occurs.
  * Support both L515 and L515 pre-prq versions.
  * set infra, fisheye, IMU and pose streams to be false by default.
  * add d435i-xacro
  * comply to ROS Noetic xacro rules (backcompatible with ROS Melodic)
  * Contributors: Marco Camurri, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 12 Jul 2020 21:00:00 -0000

ros-melodic-realsense2-camera (2.2.14-1bionic) bionic; urgency=high

  * Fix compatibility with Librealsense2 Version 2.35.2.
  * Fix support for L515.
  * Fix urdf issues.
  * Add noetic support: change state_publisher into robot_state_publisher
  * fix distortion correction model for T265 (equidistant)
  * fix stability issues. Stop sensors at program termination.
  * Contributors: Brice, Helen Oleynikova, doronhi
  * upgrade version to 2.2.13
  * fix ctrl-C closing issues.
  * handle device creation exceptions.
  * support LiDAR camera L515.

